> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gcore.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List StatisticRegions

> Retrieve a list of `StatisticRegion` objects.

You can use query parameters to filter, sort, and paginate the results.





## OpenAPI

````yaml /api-reference/services_docs_mintlify_enriched/billing_reseller_api.yaml get /billing/org/v1/statistics/regions
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Billing Reseller API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: b995fbd95644
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: accounting
  - name: addendums
    description: Operations on client addendums
  - name: calc_rules
  - name: countries
  - name: currencies
  - name: erp-invoices
  - name: expenses
    description: Operations on expenses
  - name: plans
    description: Operations on tariff plans and their contents
  - name: products
  - name: regions
  - name: reports
    description: >-
      Operations involving reports and the associated background tasks that
      handle their processing
  - name: statistic-regions
  - name: trials
paths:
  /billing/org/v1/statistics/regions:
    get:
      tags:
        - statistic-regions
      summary: List StatisticRegions
      description: |+
        Retrieve a list of `StatisticRegion` objects.

        You can use query parameters to filter, sort, and paginate the results.

      operationId: v1_statistics_regions_list
      parameters:
        - name: limit
          required: false
          in: query
          description: >-
            Number of results to return per page. Maximum is `100`. Default is
            `20`.
          schema:
            type: integer
        - name: offset
          required: false
          in: query
          description: The initial index from which to return the results.
          schema:
            type: integer
        - in: query
          name: product_id
          schema:
            type: array
            items:
              type: integer
          description: Product
          explode: true
          style: form
        - in: query
          name: product_name
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PaginatedStatisticRegionForOrgSerializerV1List
          description: Request successful.
        '401':
          description: Authentication credentials were not provided or are invalid.
        '403':
          description: You do not have permission to perform this action.
components:
  schemas:
    PaginatedStatisticRegionForOrgSerializerV1List:
      type: object
      required:
        - count
        - results
      properties:
        count:
          type: integer
          example: 123
        next:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?offset=400&limit=100
        previous:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?offset=200&limit=100
        results:
          type: array
          items:
            $ref: '#/components/schemas/StatisticRegionForOrgSerializerV1'
    StatisticRegionForOrgSerializerV1:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        uuid:
          type: string
          format: uuid
          readOnly: true
        int_name:
          type: string
          description: region internal name for compatibility with ISP
          maxLength: 255
        ext_name:
          type: string
          description: region external name for compatibility wit Gstat
          maxLength: 255
        name_en:
          type: string
          nullable: true
          description: human readable region name in english
          maxLength: 255
        product:
          type: integer
          nullable: true
      required:
        - ext_name
        - id
        - int_name
        - product
        - uuid
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234_abcdef`
      type: apiKey
      in: header
      name: Authorization

````